[@bigcommerce/checkout-sdk](../README.md) / ShippingOption

# Interface: ShippingOption

## Table of contents

### Properties

- [additionalDescription](ShippingOption.md#additionaldescription)
- [cost](ShippingOption.md#cost)
- [costAfterDiscount](ShippingOption.md#costafterdiscount)
- [description](ShippingOption.md#description)
- [id](ShippingOption.md#id)
- [imageUrl](ShippingOption.md#imageurl)
- [isRecommended](ShippingOption.md#isrecommended)
- [transitTime](ShippingOption.md#transittime)
- [type](ShippingOption.md#type)

## Properties

### additionalDescription

• **additionalDescription**: `string`

___

### cost

• **cost**: `number`

___

### costAfterDiscount

• **costAfterDiscount**: `number`

___

### description

• **description**: `string`

___

### id

• **id**: `string`

___

### imageUrl

• **imageUrl**: `string`

___

### isRecommended

• **isRecommended**: `boolean`

___

### transitTime

• **transitTime**: `string`

___

### type

• **type**: `string`
